using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.Diagnostics;
using System.IO;
using System.Reflection;
using System.Text;

namespace WindowsApplication1
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private WindowsApplication1.MyGridControl gridControl1;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		static TextWriterTraceListener textListener;
		static StreamWriter file;

		/// <internalonly/>
		[Syncfusion.Documentation.DocumentationExclude()]
		public static void StartTraceFile(string fileName)
		{
			try
			{
				file = File.AppendText(fileName);
			}
			catch (Exception ex)
			{
				return;
			}

			/* Create a new text writer using the output stream and add it to
								   the trace listeners. */
			textListener = new TextWriterTraceListener(file);
			Trace.Listeners.Add(textListener);
		}

		/// <internalonly/>
		[Syncfusion.Documentation.DocumentationExclude()]
		public static void CloseTraceFile()
		{
			if (textListener != null)
			{
				Trace.Listeners.Remove(textListener);
				textListener.Flush();
				textListener.Close();
				textListener = null;
				file = null;
			}
		}

		public Form1()
		{
			Syncfusion.Diagnostics.TraceUtil.StartTraceFile("..\\..\\trace.log");
			//
			// Required for Windows Form Designer support
			//
			Syncfusion.Diagnostics.TraceUtil.TraceCurrentMethodInfo();
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
			Syncfusion.Diagnostics.TraceUtil.TraceCurrentMethodInfo();
			Syncfusion.Diagnostics.TraceUtil.CloseTraceFile();

		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			Syncfusion.Windows.Forms.Grid.GridBaseStyle gridBaseStyle1 = new Syncfusion.Windows.Forms.Grid.GridBaseStyle();
			Syncfusion.Windows.Forms.Grid.GridBaseStyle gridBaseStyle2 = new Syncfusion.Windows.Forms.Grid.GridBaseStyle();
			Syncfusion.Windows.Forms.Grid.GridBaseStyle gridBaseStyle3 = new Syncfusion.Windows.Forms.Grid.GridBaseStyle();
			Syncfusion.Windows.Forms.Grid.GridBaseStyle gridBaseStyle4 = new Syncfusion.Windows.Forms.Grid.GridBaseStyle();
			WindowsApplication1.MyCustomStyleProperties myCustomStyleProperties1 = new WindowsApplication1.MyCustomStyleProperties();
			Syncfusion.Windows.Forms.Grid.GridBaseStyle gridBaseStyle5 = new Syncfusion.Windows.Forms.Grid.GridBaseStyle();
			WindowsApplication1.MyCustomStyleProperties myCustomStyleProperties2 = new WindowsApplication1.MyCustomStyleProperties();
			this.gridControl1 = new WindowsApplication1.MyGridControl();
			((System.ComponentModel.ISupportInitialize)(this.gridControl1)).BeginInit();
			this.SuspendLayout();
			// 
			// gridControl1
			// 
			this.gridControl1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			gridBaseStyle1.Name = "Header";
			gridBaseStyle1.StyleInfo.Borders.Bottom = new Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.None);
			gridBaseStyle1.StyleInfo.Borders.Left = new Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.None);
			gridBaseStyle1.StyleInfo.Borders.Right = new Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.None);
			gridBaseStyle1.StyleInfo.Borders.Top = new Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.None);
			gridBaseStyle1.StyleInfo.CellType = "Header";
			gridBaseStyle1.StyleInfo.Font.Bold = true;
			gridBaseStyle1.StyleInfo.Interior = new Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Vertical, System.Drawing.Color.FromArgb(((System.Byte)(203)), ((System.Byte)(199)), ((System.Byte)(184))), System.Drawing.Color.FromArgb(((System.Byte)(238)), ((System.Byte)(234)), ((System.Byte)(216))));
			gridBaseStyle1.StyleInfo.VerticalAlignment = Syncfusion.Windows.Forms.Grid.GridVerticalAlignment.Middle;
			gridBaseStyle2.Name = "Column Header";
			gridBaseStyle2.StyleInfo.BaseStyle = "Header";
			gridBaseStyle2.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Center;
			gridBaseStyle3.Name = "Row Header";
			gridBaseStyle3.StyleInfo.BaseStyle = "Header";
			gridBaseStyle3.StyleInfo.HorizontalAlignment = Syncfusion.Windows.Forms.Grid.GridHorizontalAlignment.Left;
			gridBaseStyle3.StyleInfo.Interior = new Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Horizontal, System.Drawing.Color.FromArgb(((System.Byte)(203)), ((System.Byte)(199)), ((System.Byte)(184))), System.Drawing.Color.FromArgb(((System.Byte)(238)), ((System.Byte)(234)), ((System.Byte)(216))));
			gridBaseStyle4.Name = "Standard";
			myCustomStyleProperties1.TheFont.Bold = true;
			myCustomStyleProperties1.TheLocked = false;
			gridBaseStyle4.StyleInfo.CustomProperties.Add(myCustomStyleProperties1);
			gridBaseStyle4.StyleInfo.Font.Facename = "Tahoma";
			gridBaseStyle4.StyleInfo.Interior = new Syncfusion.Drawing.BrushInfo(System.Drawing.SystemColors.Window);
			gridBaseStyle5.Name = "BaseStyle0";
			myCustomStyleProperties2.TheFont.Facename = "Arial";
			myCustomStyleProperties2.TheFont.Underline = true;
			gridBaseStyle5.StyleInfo.CustomProperties.Add(myCustomStyleProperties2);
			this.gridControl1.BaseStylesMap.AddRange(new Syncfusion.Windows.Forms.Grid.GridBaseStyle[] {
																										   gridBaseStyle1,
																										   gridBaseStyle2,
																										   gridBaseStyle3,
																										   gridBaseStyle4,
																										   gridBaseStyle5});
			this.gridControl1.HScrollBehavior = ((Syncfusion.Windows.Forms.Grid.GridScrollbarMode)((Syncfusion.Windows.Forms.Grid.GridScrollbarMode.Automatic | Syncfusion.Windows.Forms.Grid.GridScrollbarMode.AutoScroll)));
			this.gridControl1.Location = new System.Drawing.Point(32, 24);
			this.gridControl1.Name = "gridControl1";
			this.gridControl1.Size = new System.Drawing.Size(256, 240);
			this.gridControl1.TabIndex = 0;
			this.gridControl1.Text = "gridControl1";
			this.gridControl1.VScrollBehavior = ((Syncfusion.Windows.Forms.Grid.GridScrollbarMode)((Syncfusion.Windows.Forms.Grid.GridScrollbarMode.Automatic | Syncfusion.Windows.Forms.Grid.GridScrollbarMode.AutoScroll)));
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(352, 310);
			this.Controls.Add(this.gridControl1);
			this.Name = "Form1";
			this.Text = "Form1";
			((System.ComponentModel.ISupportInitialize)(this.gridControl1)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}
	}
}
